Skip to main content

Scorecards

Get Test Taker Scorecard by ID and Score Profile

Fetch the same data that you would find in the JOFI scorecard if you were to open the scorecard_url in a browser. These scores represent how the test taker's scores on the JOFI assessments align with the Score Profile.

The sp query parameter is required. Pass a JOFI system Score Profile short_name (for example, JOFI-295-AS). Retrieve the list of available score profiles using GET /score-profiles. If sp is missing or invalid, the API returns 400 Bad Request.

Score sections such as thinking_skills or personality_traits may be null when there are no scores for that section.

GET /test-takers/:testTakerId/scorecard?sp={scoreProfileShortName}
{
"mode": "live",
"object": "scorecard",
"test_taker_id": 12345,
"invitation_id": 12345,
"custom_id": "ABC123",
"person_id": "1bb2141c-4100-4b21-9cd2-a998b76cf736",
"career_navigation_profile_id": "CNP1234567890",
"first_name": "Linda",
"last_name": "Sample",
"email": "linda.sample@jofiscore.com",
"scorecard_url": "https://www.jofiscore.com/team/100/test-takers/12345/scorecard",
"score_profile": {
"id": 1000,
"display_name": "Healthcare Practitioners and Technical Zone 5",
"short_name": "JOFI-295-AS",
"riasec_profile": "SA"
},
"riasec_profile": "RCI",
"scores": {
"thinking_skills": [
{
"object": "score",
"id": 1,
"display_name": "Thinking Skills Overall",
"short_name": "think",
"description": "People that score high on Thinking Skills are mentally sharp, quick thinkers, and tend to exhibit strong critical thinking and problem solving skills.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": null,
"facets": [
{
"object": "score",
"id": 2,
"display_name": "Reading",
"short_name": "think-read",
"description": "High scoring individuals on the synonym/antonym test tend to have strong reading skills.",
"is_starred": true,
"yellow_band": 6,
"test_taker_score": null
},
{
"object": "score",
"id": 3,
"display_name": "Forms",
"short_name": "think-form",
"description": "High scoring individuals on the information forms test tend to have strong skills in data entry and data retrieval.",
"is_starred": true,
"yellow_band": 6,
"test_taker_score": null
},
{
"object": "score",
"id": 4,
"display_name": "Math",
"short_name": "think-math",
"description": "High scoring individuals on the math test tend to have strong basic math and numeracy skills.",
"is_starred": true,
"yellow_band": 3,
"test_taker_score": null
}
]
}
],
"personality_traits": [
{
"object": "score",
"id": 5,
"display_name": "Agreeableness Overall",
"short_name": "agree",
"description": "Agreeable people exhibit a tendency to be compassionate and cooperative rather than suspicious and antagonistic towards others. It also indicates a trusting and helpful nature and a person that is generally well tempered.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4,
"facets": [
{
"object": "score",
"id": 6,
"display_name": "Compassionate",
"short_name": "agree-comp",
"description": "Indicates deep, emotional connections with others.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 5
},
{
"object": "score",
"id": 7,
"display_name": "Cooperative",
"short_name": "agree-coop",
"description": "Indicates an affinity for working with others.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 2
},
{
"object": "score",
"id": 8,
"display_name": "Helpful",
"short_name": "agree-help",
"description": "Indicates an affinity for serving others.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 6
}
]
},
{
"object": "score",
"id": 9,
"display_name": "Conscientiousness Overall",
"short_name": "con",
"description": "Conscientious people exhibit a tendency to show self-discipline, act dutifully, and aim for high achievement; planned rather than spontaneous behavior; organized, and dependable.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 2,
"facets": [
{
"object": "score",
"id": 11,
"display_name": "Organized",
"short_name": "con-org",
"description": "Indicates an affinity for order and structure.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 4
},
{
"object": "score",
"id": 12,
"display_name": "Principled",
"short_name": "con-prin",
"description": "Indicates an affinity for clear rules and rule-following.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 3
},
{
"object": "score",
"id": 13,
"display_name": "Responsible",
"short_name": "con-resp",
"description": "Indicates an affinity for having control and being trusted to deliver results.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 1
},
{
"object": "score",
"id": 10,
"display_name": "Ambitious",
"short_name": "con-amb",
"description": "Indicates an affinity for high levels of effort and constant striving.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
}
]
},
{
"object": "score",
"id": 18,
"display_name": "Emotional Stability Overall",
"short_name": "emot",
"description": "Emotionally stable people tend to exhibit emotional stability and impulse control and do not easily experience unpleasant emotions such as anger, anxiety, depression, or vulnerability.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5,
"facets": [
{
"object": "score",
"id": 21,
"display_name": "Balanced",
"short_name": "emot-bal",
"description": "Indicates balanced emotions, having no emotion lacking or too strong.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 5
},
{
"object": "score",
"id": 19,
"display_name": "Composed",
"short_name": "emot-comp",
"description": "Indicates tendency to keep feelings and expressions under control.",
"is_starred": true,
"yellow_band": 5,
"test_taker_score": 2
},
{
"object": "score",
"id": 20,
"display_name": "Optimistic",
"short_name": "emot-opt",
"description": "Indicates tendency to be hopeful and confident about the future.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5
}
]
},
{
"object": "score",
"id": 14,
"display_name": "Extroversion Overall",
"short_name": "ext",
"description": "Extroverted people exhibit energy, positive emotions, urgency, assertiveness, sociability and the tendency to seek stimulation in the company of others, and talkativeness.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5,
"facets": [
{
"object": "score",
"id": 16,
"display_name": "Assertive",
"short_name": "ext-assert",
"description": "Indicates leading and enjoying positions of influence over others.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
},
{
"object": "score",
"id": 17,
"display_name": "Sociable",
"short_name": "ext-soc",
"description": "Indicates an affinity for meeting new people and socializing in large groups.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
},
{
"object": "score",
"id": 15,
"display_name": "Energetic",
"short_name": "ext-en",
"description": "Indicates a preference for physical activity.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
}
]
},
{
"object": "score",
"id": 22,
"display_name": "Openness Overall",
"short_name": "open",
"description": "Open people are open to a variety of experiences; they are curious and have an appreciation for art, emotion, adventure, and unusual ideas.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5,
"facets": [
{
"object": "score",
"id": 24,
"display_name": "Analytical",
"short_name": "open-ana",
"description": "Indicates an affinity for critical thinking and complex problem solving.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 7
},
{
"object": "score",
"id": 23,
"display_name": "Creative",
"short_name": "open-cre",
"description": "Indicates ingenuity, innovation, and idea generation.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
}
]
}
],
"career_interests": [
{
"object": "score",
"id": 102,
"display_name": "Realistic",
"short_name": "ci-real",
"description": "Realistic people, or Doers, prefer practical, hands-on, physical activities with tangible results. They prefer building, fixing, repairing objects, mechanical things, or working outside.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 7,
"facets": [
{
"object": "score",
"id": 113,
"display_name": "Construction",
"short_name": "ci-real-con",
"description": "High scoring individuals enjoy activities that involve constructing, renovating, or refinishing buildings and other infrastructure.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
},
{
"object": "score",
"id": 114,
"display_name": "Production",
"short_name": "ci-real-pro",
"description": "High scoring individuals enjoy activities that involve extracting raw materials or transforming them into finished products using existing tools and machinery.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 8
},
{
"object": "score",
"id": 115,
"display_name": "Engineering",
"short_name": "ci-real-eng",
"description": "High scoring individuals enjoy activities that involve designing, maintaining, and improving computers, equipment, structures, or processes.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
}
]
},
{
"object": "score",
"id": 101,
"display_name": "Investigative",
"short_name": "ci-inv",
"description": "Investigative people, or Thinkers, prefer to solve abstract problems involving science or engineering related subjects. They are curious about the physical world and why and how it works. They enjoy intellectual challenges and original or unconventional attitudes.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5,
"facets": [
{
"object": "score",
"id": 110,
"display_name": "Software",
"short_name": "ci-inv-soft",
"description": "High scoring individuals enjoy activities that involve working with computer software, databases, or networks; mostly focused on software because computer hardware is covered in engineering.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
},
{
"object": "score",
"id": 111,
"display_name": "Analytics",
"short_name": "ci-inv-ana",
"description": "High scoring individuals enjoy activities that involve quantitative calculations and analysis.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5
},
{
"object": "score",
"id": 112,
"display_name": "Medical",
"short_name": "ci-inv-med",
"description": "High scoring individuals enjoy activities that involve caring for and providing medical services to patients.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
}
]
},
{
"object": "score",
"id": 98,
"display_name": "Artistic",
"short_name": "ci-art",
"description": "Artistic people, or Creators, prefer unstructured situations involving self-expression of ideas and concepts through different artistic medium such as art, music, theater, film, multi-media, or writing.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4,
"facets": [
{
"object": "score",
"id": 104,
"display_name": "Creative",
"short_name": "ci-art-cre",
"description": "High scoring individuals enjoy activities that involve viewing and creating art using photography, video, painting, drawing, or sculpture; including web design or creating visual art using technology.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 2
},
{
"object": "score",
"id": 105,
"display_name": "Writing",
"short_name": "ci-art-wri",
"description": "High scoring individuals enjoy writing detailed factual reports, memos, textbooks, scientific, legal, historical or technical essays for business and record-keeping purposes.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5
}
]
},
{
"object": "score",
"id": 103,
"display_name": "Social",
"short_name": "ci-soc",
"description": "Social people, or Helpers, prefer direct service or helping opportunities involving advising, counseling, coaching, mentoring, teaching, or group discussion. They are drawn to humanistic or social causes.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4,
"facets": [
{
"object": "score",
"id": 116,
"display_name": "Teaching",
"short_name": "ci-soc-tea",
"description": "High scoring individuals enjoy working with and teaching students; including educating children and adult instruction in the form of training and development.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 3
},
{
"object": "score",
"id": 117,
"display_name": "Service",
"short_name": "ci-soc-ser",
"description": "High scoring individuals enjoy activities that involve helping other people, including customer service activities.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
},
{
"object": "score",
"id": 118,
"display_name": "Counseling",
"short_name": "ci-soc-cou",
"description": "High scoring individuals enjoy helping people to solve personal and familial problems to address social or mental health issues; including tasks that involve guiding people such as advising, mentoring, and coaching. ",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5
}
]
},
{
"object": "score",
"id": 100,
"display_name": "Enterprising",
"short_name": "ci-ent",
"description": "Enterprising people, or Persuaders, prefer business situations involving persuasion, selling, or influencing. They are enthusiastic, energetic, assertive, and self-confident. They are drawn to management, leadership, or marketing roles.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 3,
"facets": [
{
"object": "score",
"id": 108,
"display_name": "Management",
"short_name": "ci-ent-man",
"description": "High scoring individuals enjoy managing and directing the activities of others.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 2
},
{
"object": "score",
"id": 109,
"display_name": "Sales",
"short_name": "ci-ent-sal",
"description": "High scoring individuals enjoy activities that involve marketing and persuading customers to buy products; including broader business development activities.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
}
]
},
{
"object": "score",
"id": 99,
"display_name": "Conventional",
"short_name": "ci-con",
"description": " Conventional people, or Organizers, prefer structured business situations involving data analysis, finance, planning and organizational tasks. They value efficiency and order.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 5,
"facets": [
{
"object": "score",
"id": 106,
"display_name": "Administrative",
"short_name": "ci-con-adm",
"description": "High scoring individuals enjoy filing, organizing, and sorting materials as well as maintaining and creating records. ",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 4
},
{
"object": "score",
"id": 107,
"display_name": "Finance",
"short_name": "ci-con-fin",
"description": "High scoring individuals enjoy activities that involve planning, distributing, and managing money.",
"is_starred": false,
"yellow_band": 5,
"test_taker_score": 6
}
]
},
{
"object": "score",
"id": 122,
"display_name": "JOFI Career Interests Overall",
"short_name": "ci-overall",
"description": "The overall score equals the One-Letter Match score plus the Two-Letter Match score.",
"is_starred": true,
"yellow_band": 4,
"test_taker_score": 2,
"facets": [
{
"object": "score",
"id": 123,
"display_name": "One-Letter Match",
"short_name": "ci-flm",
"description": "The first or second letter of the job profile matches: Green (3) = the first letter of the test taker profile, Yellow (2) = the second letter of the test taker profile (and not the first), Red (1) = neither the first nor the second letter. ",
"is_starred": true,
"yellow_band": 2,
"test_taker_score": 1
},
{
"object": "score",
"id": 157,
"display_name": "Two-Letter Match",
"short_name": "ci-2lm",
"description": "The first two letters of the job profile match: Green (3) = the first two letters of the test taker profile in any order, Yellow (2) = any two of the three letters of the test taker profile in any order, Red (1) = less than two letters. ",
"is_starred": true,
"yellow_band": 2,
"test_taker_score": 1
}
]
}
],
"skill_survey_reference": null,
"structured_interview": null
}
}

Response fields

FieldDescription
mode"live" or "test" depending on your API key
objectAlways "scorecard"
test_taker_idTest taker ID
invitation_idInvitation ID
custom_idYour grouping identifier, or null
person_idYour system's participant identifier, or null
career_navigation_profile_idCareer Navigation profile ID, or null
first_nameParticipant first name, or null
last_nameParticipant last name, or null
emailParticipant email address, or null
scorecard_urlJOFI scorecard URL, or null
score_profileScore profile used for scoring ({ id, display_name, short_name, riasec_profile }), or null
riasec_profileTest taker's three-letter RIASEC code, or null
scoresScore sections keyed by section name. Each section is an array of dimension scores or null when no scores exist for that section.

Score sections in scores

KeyDescription
thinking_skillsThinking Skills dimension scores, or null
personality_traitsPersonality Traits dimension scores, or null
career_interestsCareer Interests dimension scores, or null
skill_survey_referenceSkill Survey Reference dimension scores, or null
structured_interviewStructured Interview dimension scores, or null

Each dimension score object has object ("score"), id, display_name, short_name, description, is_starred, yellow_band, test_taker_score, and optionally a facets array of score objects (facets do not nest further).